mav_boxGetUserdef(3)

NAME
mav_boxGetUserdef - Get user-defined data of object.

LEVEL
Maverik Level 2

SYNTAX
int mav_boxGetUserdef(MAV_object *o, void ***ud);

int mav_compositeGetUserdef(MAV_object *o, void ***ud);

int mav_coneGetUserdef(MAV_object *o, void ***ud);

int mav_ctorusGetUserdef(MAV_object *o, void ***ud);

int mav_cylinderGetUserdef(MAV_object *o, void ***ud);

int mav_ellipseGetUserdef(MAV_object *o, void ***ud);

int mav_facetGetUserdef(MAV_object *o, void ***ud);

int mav_hellipseGetUserdef(MAV_object *o, void ***ud);

int mav_hsphereGetUserdef(MAV_object *o, void ***ud);

int mav_polylineGetUserdef(MAV_object *o, void ***ud);

int mav_polygonGetUserdef(MAV_object *o, void ***ud);

int mav_polygonGrpGetUserdef(MAV_object *o, void ***ud);

int mav_pyramidGetUserdef(MAV_object *o, void ***ud);

int mav_rectangleGetUserdef(MAV_object *o, void ***ud);

int mav_rtorusGetUserdef(MAV_object *o, void ***ud);

int mav_SMSObjGetUserdef(MAV_object *o, void ***ud);

int mav_sphereGetUserdef(MAV_object *o, void ***ud);

int mav_teapotGetUserdef(MAV_object *o, void ***ud);

int mav_textGetUserdef(MAV_object *o, void ***ud);

int mav_avatarGetUserdef(MAV_object *o, void ***ud);

int mav_TDMCursorGetUserdef(MAV_object *o, void ***ud);

ARGUMENTS
Object to query. Pointer to the "user-defined data".

DESCRIPTION
This function returns in ud a pointer to the "user-defined data" field of object a.